      use winds.dta, clear 
      egen pc = pc(f), by(id)
      twoway bar pc dir if id == 3, barw(22.5) xla(0(45)315) title(`: label (id) 3', ring(0) pos(10)) ///
yla(, ang(h)) ytitle(percent) xla(0 "N" 45 "E" 90 "S" 135 "SE" 180 "S" 225 "SW" 270 "W" 315 "NW") xtitle("") ///
saving(wind3, replace) yla(0(10)30)
      twoway bar pc dir if id == 2, barw(22.5) xla(0(45)315) title(`: label (id) 2', ring(0) pos(10)) ///
yla(, ang(h)) ytitle(percent) xla(0 "N" 45 "E" 90 "S" 135 "SE" 180 "S" 225 "SW" 270 "W" 315 "NW") xtitle("") saving(wind2, replace)
      twoway bar pc dir if id == 1, barw(45) xla(0(45)315) title(`: label (id) 1', ring(0) pos(10))   ///
yla(, ang(h)) ytitle(percent) xla(0 "N" 45 "E" 90 "S" 135 "SE" 180 "S" 225 "SW" 270 "W" 315 "NW") xtitle("") saving(wind1, replace)
      graph combine "wind1" "wind2" "wind3", col(1) imargin(small) xcommon 
